<!DOCTYPE html>
<html lang="en">
    <head>
        <title>NFDI4DS widget</title>

        <script type="module">
            import { createApp } from 'https://unpkg.com/petite-vue?module';

            createApp({
                buttonColor: 'dark',
                menuColor: 'light',
                load() {
                    const scriptTag = document.getElementById('nfdi4ds');
                    if (scriptTag) {
                        scriptTag.remove();
                    }
                    (function (w, d, s, o, f, js, fjs) {
                        w['nfdi4dsWidget'] = o;
                        w[o] =
                            w[o] ||
                            function () {
                                (w[o].q = w[o].q || []).push(arguments);
                            };
                        (js = d.createElement(s)),
                            (fjs = d.getElementsByTagName(s)[0]);
                        js.id = o;
                        js.src = f;
                        js.async = 1;
                        fjs.parentNode.insertBefore(js, fjs);
                    })(
                        window,
                        document,
                        'script',
                        'nfdi4ds',
                        window.location.href + 'widget.js'
                    );
                    nfdi4ds('widget');
                },
                get embedCode() {
                    this.load();
                    return `<!-- NFDI4DS Button-->
<div class="nfdi4ds-banner" data-variant="button" data-button-color="${this.buttonColor}" data-menu-color="${this.menuColor}"></div>
<script>
    (function (w, d, s, o, f, js, fjs) {
        w['nfdi4dsWidget'] = o;
        w[o] =
            w[o] ||
            function () {
                (w[o].q = w[o].q || []).push(arguments);
            };
        (js = d.createElement(s)),
            (fjs = d.getElementsByTagName(s)[0]);
        js.id = o;
        js.src = f;
        js.async = 1;
        fjs.parentNode.insertBefore(js, fjs);
    })(window, document, 'script', 'nfdi4ds', '${window.location.href}widget.js');
    nfdi4ds('widget');
<\/script>
<!-- End NFDI4DS Button -->`;
                },
            }).mount();
        </script>
        <script src="https://cdn.tailwindcss.com"></script>
    </head>
    <body class="bg-slate-200 font-sans">
        <div
            class="container mx-auto mt-5 bg-white rounded-lg p-6 max-w-5xl w-100 box-border"
            v-scope
        >
            <h1 class="text-4xl my-2 font-medium">NFDI4DS widget</h1>
            <p>
                The NFDI4DS button can be placed via the following HTML snippet
                on any website.
                <a
                    href="https://gitlab.com/TIBHannover/nfdi4ds/nfdi4ds-widget/-/issues"
                    target="_blank"
                    class="underline"
                    >Please create an issue</a
                >
                if you have any questions.
            </p>
            <hr class="my-7" />
            <h2 class="text-2xl mt-5 mb-2 font-medium">Settings</h2>
            <div class="columns-2">
                <div>
                    <label for="button-color">Button color</label>
                    <select
                        class="form-select mt-2 appearance-none block w-full px-3 py-1.5 text-base font-normal text-gray-700 bg-white bg-clip-padding bg-no-repeat border border-solid border-gray-300 rounded transition ease-in-out m-0 focus:text-gray-700 focus:bg-white focus:border-blue-600 focus:outline-none"
                        aria-label="Default select example"
                        id="button-color"
                        v-model="buttonColor"
                    >
                        <option value="dark">Dark (recommended)</option>
                        <option value="light">Light</option>
                    </select>
                </div>
                <div>
                    <label for="menu-color">Menu color</label>
                    <select
                        class="form-select mt-2 appearance-none block w-full px-3 py-1.5 text-base font-normal text-gray-700 bg-white bg-clip-padding bg-no-repeat border border-solid border-gray-300 rounded transition ease-in-out m-0 focus:text-gray-700 focus:bg-white focus:border-blue-600 focus:outline-none"
                        aria-label="Default select example"
                        id="menu-color"
                        v-model="menuColor"
                    >
                        <option value="light">Light (recommended)</option>
                        <option value="dark">Dark</option>
                    </select>
                </div>
            </div>
            <h2 class="text-2xl mt-5 mb-2 font-medium">Preview</h2>
            <div class="p-6 rounded border-solid border border-slate-300">
                <div
                    class="nfdi4ds-banner"
                    data-variant="banner"
                    :data-button-color="buttonColor"
                    :data-menu-color="menuColor"
                ></div>
            </div>

            <h2 class="text-2xl mt-5 mb-2 font-medium">Code</h2>
            <textarea
                rows="10"
                class="box-border form-control block w-full px-3 py-1.5 text-sm font-normal text-gray-700 bg-white bg-clip-padding border border-solid border-gray-300 rounded transition ease-in-out m-0 focus:text-gray-700 focus:bg-white focus:border-blue-600 focus:outline-none"
                v-model="embedCode"
            ></textarea>
        </div>
    </body>
</html>
